config_align.h File Reference

Library configuration file. More...

Go to the source code of this file.

## Macros

#define | CRYPTOPP_BOOL_ALIGN16 0
#define | CRYPTOPP_NO_ALIGNED_ALLOC
#define | CRYPTOPP_ALIGN_DATA(x)

## Detailed Description

Library configuration file.

config_align.h provides defines for aligned memory allocations.

config.h was split into components in May 2019 to better integrate with Autoconf and its feature tests. The splitting occurred so users could continue to include config.h while allowing Autoconf to write new config_asm.h and new config_cxx.h using its feature tests.

Note
  You should include config.h rather than config_align.h directly.

See also
  Issue 835, Make config.h more autoconf friendly, Configure.sh script on the Crypto++ wiki

Since
  Crypto++ 8.3

Definition in file config_align.h.

## Macro Definition Documentation

## CRYPTOPP_BOOL_ALIGN16

#define CRYPTOPP_BOOL_ALIGN16 0

Definition at line 39 of file config_align.h.

## CRYPTOPP_NO_ALIGNED_ALLOC

#define CRYPTOPP_NO_ALIGNED_ALLOC

Definition at line 53 of file config_align.h.

## CRYPTOPP_ALIGN_DATA

#define CRYPTOPP_ALIGN_DATA | ( |  | x | ) |

Definition at line 69 of file config_align.h.